//
//  Paint.h
//
//  Created by Ivan Mao on 12-8-22.
//  Copyright 2012 PQ Labs. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#define TOUCH_POINT_MAX_NUM 6

@interface Paint : NSView {
	NSPoint myPoint[TOUCH_POINT_MAX_NUM]; 
	int TouchPointList[TOUCH_POINT_MAX_NUM];
	int curTouchPointNum;
	
	NSRect paintSize;
	int screenX;
	int screenY;
}

-(void)drawRect:(NSRect)dirtyRect;

-(void)addMyTouchPoint:(int)sid;

-(void)deleteMyTouchPoint:(int)sid;

-(void)drawMyTouchPoint:(NSPoint)pt :(int)sid;

-(void)getResolution:(int)x :(int)y;

-(NSPoint)getActualPoint:(NSPoint)pt;
@end

extern Paint * pencil;