//
//  SDK_connect.h
//  SampleCodeOBJC
//
//  Created by Ivan Mao on 12-8-22.
//  Copyright 2012 PQ Labs. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PQMTClientObjC.h"
#import "Controller.h"
#import "Paint.h"

@interface SDK_connect : NSObject <ContactClientDelegate>{
	PQMTClient * connect_PQ;
	SEL m_pf_on_tges[TG_TOUCH_END + 1];
	void(*pf_on_ges) (id, SEL, const TouchGesture &, void *);
}

-(void)InitFuncOnTG;

-(void)OnTG_TouchStart:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_Down:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_Move:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_Up:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_TouchEnd:(const TouchGesture &)tg :(void *)call_object;

-(void)OnTG_SecondDown:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_SecondUp:(const TouchGesture &)tg :(void *)call_object;

-(void)OnTG_SplitStart:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_SplitApart:(const TouchGesture &)tg :(void *) call_object;
-(void)OnTG_SplitClose:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_SplitEnd:(const TouchGesture &)tg :(void *)call_object;

-(void)OnTG_RotateStart:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_RotateClock:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_RotateAnticlock:(const TouchGesture &)tg :(void *)call_object;
-(void)OnTG_RotateEnd:(const TouchGesture &)tg :(void *)call_object;

-(void)OnTouchPoint:(const TouchPoint &)tp;
@end
